View Issue Details

IDProjectCategoryLast Update
0021545AI War 2[All Projects] Gameplay IdeaSep 12, 2019 11:18 am
ReporterzeusalmightyAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.885 The Audible Bodyguard 
Fixed in Version 
Summary0021545: Drones for Players -- Special uses for combat factories
DescriptionBackground/problem:
1. Players lost the ability to field drones for all intents and purposes with the arrival of fleets. This was a viable strategy that should return in some fashion
2. Combat factories aren't tantalizing captures in most cases (you can get buy with 1 or 2 really). With the exception of the cloaked (backdoor) combat factory, these are flimsy and need to microed too much

Fix: Give combat factories 1-3 types of drones (*Bonus combat factory type could potentially specialize exclusively in drones and have 5 types)

Drones will offset current flimsiness and make these more capable of creating beachheads.


 
TagsNo tags attached.

Activities

x4000Bughunter

Sep 3, 2019 9:03 pm

administrator   ~0052793

I'm in favor of this idea, for sure. It might be that I need to create new categories for "added drones" or something so that the combat factory regular slots don't actually get assigned to drones instead of engineers, though, don't you think? If the overall mix of engies plus drones would be acceptable, then that would be fine with me, but I thought I'd throw that out there. Mainly for Puffin's thoughts, I guess, since he's seen the innards the most.

zeusalmighty

Sep 3, 2019 9:11 pm

reporter   ~0052798

There are merits to letting them compete for slots; since you can at most get one line of engineers per factory it seems like there won't be much of conflict anyway -- **unless my ideas for specialist/variant engineers work out... ;) "

RocketAssistedPuffin

Sep 4, 2019 7:13 am

developer   ~0052810

Yea, even the Sentry Frigates are in the Frigate slot, so the Strikecraft area is pretty free.

I'd almost be concerned of someone swapping the Drones over though, to put it on a Transport Flagship for instance.

zeusalmighty

Sep 4, 2019 6:22 pm

reporter   ~0052834

I would suggest restricting drones to combat factories and special Lone Wolf units exclusively so there is no concern of swapping between normal flagships

This helps better distinguish drones from regular ships imo

RocketAssistedPuffin

Sep 5, 2019 3:58 pm

developer   ~0052866

Checked - you can swap Drones, but the new Flagship with them can't actually build any, so fairly pointless.

RocketAssistedPuffin

Sep 5, 2019 4:11 pm

developer   ~0052867

"Saboteur: Cloaked "engineers" specializing in reducing the effectivness of AI turrets/guardposts; essentally powers off those structures as long as they are targeted
(X )Boosters: gives friendly units buff to stats based on their speciality (e.g, Attack boosters--add multiplier to friendy's weapons
something along these lines anyway"

from zeusalmighty on Discord.

I think Saboteur is possible - weapon system only able to attack structures, essentially deal a weak constant paralysis effect, equal to the max value (i.e Warbird style). Need careful values to ensure no sneaky shenanigans like disabling Forcefields.

Booster...just about everything in this game is planet wide, so doubtful.

RocketAssistedPuffin

Sep 9, 2019 5:01 pm

developer   ~0052956

I'm not actually committing these yet, as I want to test them more thoroughly first, but this is technically done:

* Each Combat Factory type now has a set of Drones:
** Standard Combat Factory has just V-Wing and Fusion Bomber Drones.
** Overloader Combat Factory has new Saboteur Drones - only able to target structures, but can disable even Guard Posts.
*** Thanks to zeusalmighty for this specific idea.
** Backdoor Combat Factory now has Tackle Drones - rushes enemies and grabs them with a tractor beam, and usually keeps going.
** Rejuvenator Combat Factory now has Decoy Drones - tanky, with some light vampirism, and has a higher target priority.
** Scrapper Combat Factory now has Scrap Drones - explodes on impact with an enemy in a tesla explosion.
*** Oh, and it gives some Metal too.
*** This thing is likely in some games, but hidden as a normal Combat Factory, so you may find you suddenly have one of these.
**** Thanks to zeusalmighty in general for the suggestion of Combat Factories having Drones.

BadgerBadger

Sep 9, 2019 5:02 pm

manager   ~0052957

Do we want all the combat factories to have drones? Or just some of the fancy ones?

x4000Bughunter

Sep 9, 2019 5:08 pm

administrator   ~0052958

I think it's fine, personally.

Also just in:

* The ability to swap away drone lines should no longer be present. You already couldn't swap them IN, but now you can't swap them out either.

RocketAssistedPuffin

Sep 9, 2019 5:12 pm

developer   ~0052959

If you two have any thoughts on them I'm open.

x4000Bughunter

Sep 9, 2019 5:23 pm

administrator   ~0052960

I'm a big fan of the idea, and mainly want to see how they work in practice, now that people can't try to trade them away.

RocketAssistedPuffin

Sep 9, 2019 5:31 pm

developer   ~0052962

The Tackle Drones are the one I'm iffy on. They're using a disabled, 0 range weapon so they constantly try to fly into things to grapple them, leading them to hit the gravity well edge. They need 0 range else kiting actually makes them go strange places, since the things they're holding get pushed towards them.

Hope you're feeling alright by the way - you mentioned little sleep on the release post.

x4000Bughunter

Sep 9, 2019 6:05 pm

administrator   ~0052965

Should we simply make a function that prevents certain units from ever kiting? I have a feeling that could be used for a variety of units that need to chase and not run.

I'm definitely feeling better, although I was just mildly sick before. Mainly it had been a very long day of working on some frustrating visual stuff, and actually kids being up in the middle of the night two nights out of the prior 3 days so my reserves were low. Just lots of things, but nothing bad particularly. Thanks for checking!

RocketAssistedPuffin

Sep 9, 2019 6:22 pm

developer   ~0052968

That may be useful, and perhaps better than doing it this way all the time, but it may not be necessary unless I or someone else have another idea that requires it. In this case having a weapon system is very useful (being able to put 0x damage multipliers on it for instance, so anything with too high albedo or engine it'll refuse to chase).

One thing that would be helpful is for a max_paralysis_time, so the Saboteur Drones can't get a Guard Post up to really long times - there is mention of it on the modding special mechanics page, but there is an unexpected attribute warning if I try it.

Not important though. I can balance it in other ways.

Glad to hear it - the feeling better. There was definitely a lot of files in those new scenes, and they are very nicely done.

RocketAssistedPuffin

Sep 9, 2019 6:39 pm

developer   ~0052971

Actually...I think that might be useful already. Finding they're sometimes still going across the planet, because of things dying and a Drone is suddenly "behind" a new target, causing it to fly to the other side.

Being unable to kite and having a slightly longer range I think would fix that, but no hurry. It might not even be all that relevant in proper fights.

zeusalmighty

Sep 9, 2019 8:58 pm

reporter   ~0052976

This is exceeding my hopes, very excited to see these in action! I think combat factories are going to be some of my primary targets now =)

x4000Bughunter

Sep 12, 2019 11:18 am

administrator   ~0053029

Thanks, Puffin!

* Added a new disallow_kiting="true" flag, which lets us make certain units completely unable to kite.
** This may be useful for certain drones or other specific units, but we're not using it anywhere yet.

Issue History

Date Modified Username Field Change
Aug 30, 2019 8:13 pm zeusalmighty New Issue
Sep 3, 2019 6:39 pm RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Sep 3, 2019 6:39 pm RocketAssistedPuffin Status new => assigned
Sep 3, 2019 9:03 pm x4000Bughunter Note Added: 0052793
Sep 3, 2019 9:11 pm zeusalmighty Note Added: 0052798
Sep 4, 2019 7:13 am RocketAssistedPuffin Note Added: 0052810
Sep 4, 2019 6:22 pm zeusalmighty Note Added: 0052834
Sep 5, 2019 3:58 pm RocketAssistedPuffin Note Added: 0052866
Sep 5, 2019 4:11 pm RocketAssistedPuffin Note Added: 0052867
Sep 9, 2019 5:01 pm RocketAssistedPuffin Status assigned => resolved
Sep 9, 2019 5:01 pm RocketAssistedPuffin Resolution open => fixed
Sep 9, 2019 5:01 pm RocketAssistedPuffin Note Added: 0052956
Sep 9, 2019 5:02 pm BadgerBadger Note Added: 0052957
Sep 9, 2019 5:08 pm x4000Bughunter Note Added: 0052958
Sep 9, 2019 5:12 pm RocketAssistedPuffin Note Added: 0052959
Sep 9, 2019 5:23 pm x4000Bughunter Note Added: 0052960
Sep 9, 2019 5:31 pm RocketAssistedPuffin Note Added: 0052962
Sep 9, 2019 6:05 pm x4000Bughunter Note Added: 0052965
Sep 9, 2019 6:22 pm RocketAssistedPuffin Note Added: 0052968
Sep 9, 2019 6:39 pm RocketAssistedPuffin Note Added: 0052971
Sep 9, 2019 8:58 pm zeusalmighty Note Added: 0052976
Sep 12, 2019 11:18 am x4000Bughunter Note Added: 0053029